import { ReactNode } from "react";
import ArticleLayout from "@/app/components/ArticleLayout";
import { BreadcrumbItem } from "@/app/components/Breadcrumb";
import ArticleWithBreadcrumb from "@/app/components/ArticleWithBreadcrumb";
import { navigations } from "@/app/(articles)/academic-exchange/academic-events/pages/[pageIndex]/config";

const breadcrumb: BreadcrumbItem[] = [
  { title: "首页", href: "/" },
  {
    title: "学术交流",
    href: "/academic-exchange/academic-events/pages/1",
  },
  {
    title: "学术活动",
    href: "/academic-exchange/academic-events/pages/1",
  },
];
const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <ArticleLayout navigations={navigations} leftNavTitle={"学术交流"}>
      <ArticleWithBreadcrumb breadcrumb={breadcrumb}>
        {children}
      </ArticleWithBreadcrumb>
    </ArticleLayout>
  );
};

export default Layout;
