import { articleDetail } from "@/app/api/articles";
import ArticleRender from "@/app/components/ArticleRender";
import ArticleWithBreadcrumb from "@/app/components/ArticleWithBreadcrumb";

export default async function Article({
  params,
}: {
  params: {
    articleId: string;
  };
}) {
  const data = await articleDetail({ id: params.articleId });
  return (
    <ArticleWithBreadcrumb
      breadcrumb={[
        { title: "首页", href: "/" },
        { title: "媒体扫描", href: "/media-scan/pages/1" },
        { title: data.title, href: `/media-scan/${data.id}` },
      ]}
    >
      <ArticleRender article={data} />
    </ArticleWithBreadcrumb>
  );
}
