import ArticleLayout from "@/app/components/ArticleLayout";
import React, { ReactNode } from "react";
import Breadcrumb from "@/app/components/Breadcrumb";

const breadcrumb = [
  { href: "/", title: "首页" },
  { href: "/contact-us", title: "联系我们" },
];
const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <ArticleLayout leftNavTitle={"联系我们"}>
      <div className={"flex flex-col h-full"}>
        <Breadcrumb navigations={breadcrumb} />
        <div className={"bg-white px-5 py-4 flex-1 mt-2"}>{children}</div>
      </div>
    </ArticleLayout>
  );
};

export default Layout;
