import Link from "next/link";
import ArticleHeading from "@/app/components/ArticleHeading";

const academicians = [
  {
    picture:
      "/uploads/image/20231030/2a2f235b-711a-47fb-9d20-c5a1c332ff78.jpeg",
    name: "周祥东",
    link: "",
  },
  {
    picture:
      "/uploads/image/20231030/390a39d3-0729-446f-b361-c34f4f6cb0ff.jpeg",
    name: "王兴祖",
    link: "",
  },
];

const Page = () => {
  return (
    <>
      <ArticleHeading text={"副研究员"} />
      <div className={`flex justify-around`}>
        {academicians.map((academician) => (
          <div
            key={academician.name}
            className={`flex flex-col items-center w-1/5`}
          >
            <img
              className={"h-[138px]"}
              src={`${process.env.NEXT_PUBLIC_ADMIN_BASE_URL}${academician.picture}`}
            />
            <Link href={academician.link}>{academician.name}</Link>
          </div>
        ))}
      </div>
    </>
  );
};

export default Page;
