import request from "@/app/lib/request";
import { BaseResponse, PageData } from "@/app/types/base";
import {
  Article,
  ArticleDetail,
  ArticleDetailParams,
  ArticleListParams,
} from "@/app/types/article";

export const listArticles = (params: ArticleListParams) =>
  request
    .get<never, BaseResponse<PageData<Article>>>("/article/list", {
      params,
    })
    .then((res) => {
      return res.data;
    });

export const articleDetail = (params: ArticleDetailParams) =>
  request
    .get<never, BaseResponse<ArticleDetail>>("/pc/articleDetail", {
      params,
    })
    .then((res) => res.data);
