import React, { ReactNode } from "react";
import Breadcrumb, { BreadcrumbItem } from "@/app/components/Breadcrumb";

const ArticleWithBreadcrumb = ({
  breadcrumb,
  children,
}: {
  breadcrumb: BreadcrumbItem[];
  children: ReactNode;
}) => {
  return (
    <div className={"flex flex-col h-full"}>
      <Breadcrumb navigations={breadcrumb} />
      <div className={"bg-white px-5 py-4 flex-1 mt-2"}>{children}</div>
    </div>
  );
};

export default ArticleWithBreadcrumb;
